using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BusinessLogicContracts
{
    public interface ISpecializationLogic
    {
        List<SpecializationViewModel>? ReadList(SpecializationSearchModel? model);
        SpecializationViewModel? ReadElement(SpecializationSearchModel model);
        bool Create(SpecializationBindingModel model);
        bool Update(SpecializationBindingModel model);
        bool Delete(SpecializationBindingModel model);
    }
}
